Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.spi.flexspi.ticket
Enum NodeOpsV1.MethodName

    java.lang.Object
      java.lang.Enum<NodeOpsV1.MethodName>
          com.bea.content.spi.flexspi.ticket.NodeOpsV1.MethodName

All Implemented Interfaces
  Serializable, Comparable<NodeOpsV1.MethodName>

Enclosing interface:
  NodeOpsV1

    public static enum NodeOpsV1.MethodName

extends Enum<NodeOpsV1.MethodName>

Enum Constant Summary
`addNodeContent`
`copyNode`
`createNodeWithNodeType`
`createNodeWithNodeTypeAndObjectClass`
`createNodeWithNodeTypeAndObjectClassAndWorkflow`
`createNodeWithNodeTypeAndWorkflow`
`deleteNode`
`getNativeFilterableProperties`
`getNativeSortableProperties`
`getNodeChildren`
`getNodeChildrenAsNodeIds`
`getNodeChildrenWithQueryCriteria`
`getNodeReferences`
`getNodesWithIds`
`getNodesWithIdsAndQueryCriteria`
`getNodeWithId`
`getNodeWithPath`
`getProperties`
`getPropertyBytes`
`moveNode`
`orderBefore`
`removeNodeContent`
`renameNode`
`save`
`updateProperties`

Method Summary
`static NodeOpsV1.MethodName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NodeOpsV1.MethodName[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### addNodeContent

    public static final NodeOpsV1.MethodName addNodeContent

### copyNode

    public static final NodeOpsV1.MethodName copyNode

### createNodeWithNodeType

    public static final NodeOpsV1.MethodName createNodeWithNodeType

### createNodeWithNodeTypeAndObjectClass

    public static final NodeOpsV1.MethodName createNodeWithNodeTypeAndObjectClass

### createNodeWithNodeTypeAndObjectClassAndWorkflow

    public static final NodeOpsV1.MethodName createNodeWithNodeTypeAndObjectClassAndWorkflow

### createNodeWithNodeTypeAndWorkflow

    public static final NodeOpsV1.MethodName createNodeWithNodeTypeAndWorkflow

### deleteNode

    public static final NodeOpsV1.MethodName deleteNode

### getNativeFilterableProperties

    public static final NodeOpsV1.MethodName getNativeFilterableProperties

### getNativeSortableProperties

    public static final NodeOpsV1.MethodName getNativeSortableProperties

### getNodeChildren

    public static final NodeOpsV1.MethodName getNodeChildren

### getNodeChildrenAsNodeIds

    public static final NodeOpsV1.MethodName getNodeChildrenAsNodeIds

### getNodeChildrenWithQueryCriteria

    public static final NodeOpsV1.MethodName getNodeChildrenWithQueryCriteria

### getNodeReferences

    public static final NodeOpsV1.MethodName getNodeReferences

### getNodesWithIds

    public static final NodeOpsV1.MethodName getNodesWithIds

### getNodesWithIdsAndQueryCriteria

    public static final NodeOpsV1.MethodName getNodesWithIdsAndQueryCriteria

### getNodeWithId

    public static final NodeOpsV1.MethodName getNodeWithId

### getNodeWithPath

    public static final NodeOpsV1.MethodName getNodeWithPath

### getProperties

    public static final NodeOpsV1.MethodName getProperties

### getPropertyBytes

    public static final NodeOpsV1.MethodName getPropertyBytes

### moveNode

    public static final NodeOpsV1.MethodName moveNode

### orderBefore

    public static final NodeOpsV1.MethodName orderBefore

### removeNodeContent

    public static final NodeOpsV1.MethodName removeNodeContent

### renameNode

    public static final NodeOpsV1.MethodName renameNode

### save

    public static final NodeOpsV1.MethodName save

### updateProperties

    public static final NodeOpsV1.MethodName updateProperties

Method Detail

### values

    public static final NodeOpsV1.MethodName[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static NodeOpsV1.MethodName valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.